## murano-tempest-plugin 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
testtools>=2.2.0 # MIT
tempest>=17.1.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
testresources>=2.0.0 # Apache-2.0/BSD

python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-congressclient<2000,>=1.9.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0

=== debian/changelog ===
murano-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 22:48:49 +0200

murano-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958475).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/control ===
Source: murano-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/murano-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/murano-tempest-plugin.git
Homepage: https://opendev.org/openstack/murano-tempest-plugin

Package: murano-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-oslo.utils,
 python3-six,
 tempest,
 python3-gabbi,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Murano plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Murano plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/murano-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## murano-tempest-plugin 2.1.0

=== debian/changelog ===
murano-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Oct 2020 09:26:35 +0200

murano-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,16 @@
 Package: murano-tempest-plugin
 Architecture: all
 Depends:
- python3-pbr,
+ python3-gabbi,
+ python3-heatclient,
+ python3-keystoneclient,
+ python3-mistralclient,
+ python3-muranoclient,
+ python3-neutronclient,
  python3-oslo.config,
  python3-oslo.utils,
+ python3-pbr,
  python3-six,
- tempest,
- python3-gabbi,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/murano-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## murano-tempest-plugin 2.3.1

=== requirements.txt ===
--- 
+++ 
@@ -15,5 +15,4 @@
 python-heatclient>=1.10.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-muranoclient>=0.8.2 # Apache-2.0
-python-congressclient<2000,>=1.9.0 # Apache-2.0
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0

=== debian/changelog ===
murano-tempest-plugin (2.3.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:40:04 +0200

murano-tempest-plugin (2.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:39:42 +0200

murano-tempest-plugin (2.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 10:53:46 +0200

murano-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:47:05 +0200

murano-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:56:29 +0200

murano-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * b-d: removed version of openstack-pkg-tools, satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:23:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/murano-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## murano-tempest-plugin 2.4.0

=== debian/changelog ===
murano-tempest-plugin (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 14:01:08 +0200

murano-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2022 12:52:05 +0100

## murano-tempest-plugin 2.5.0

=== debian/changelog ===
murano-tempest-plugin (2.5.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-zed.infomaniak.ch>  Sun, 25 Sep 2022 14:34:03 +0000

murano-tempest-plugin (2.5.0-1) unstable; urgency=medium

  * New upsteam release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:31:53 +0200

## murano-tempest-plugin 2.6.0

=== debian/changelog ===
murano-tempest-plugin (2.6.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045803).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 17:47:03 +0200

murano-tempest-plugin (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:00:39 +0200

murano-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:39:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## murano-tempest-plugin 2.7.0

=== debian/changelog ===
murano-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:46:58 +0200

murano-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 16:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."
